# Load the data
data <- read.csv("https://www.dropbox.com/s/0asqq9ma23xvx28/USArrests.csv?dl=1")

# Select the columns of interest
vars <- c("Murder", "Assault", "UrbanPop", "Rape")
data <- data[,vars]

# Perform PCA
pca <- prcomp(data, scale = TRUE)

# Calculate the proportion of variance explained by each component
prop_var <- pca$sdev^2 / sum(pca$sdev^2)

# Calculate the cumulative proportion of variance explained
cum_prop_var <- cumsum(prop_var)

# Plot the cumulative proportion of variance explained
plot(cum_prop_var, type = "b", xlab = "Principal Component", ylab = "Cumulative Proportion of Variance Explained")

# Plot the proportion of variance explained by each component
plot(prop_var, type = "b", xlab = "Principal Component", ylab = "Proportion of Variance Explained")

