# Load the dataset
data <- read.csv("USArrests.csv", header = TRUE)

# Remove any columns that are not relevant for clustering
data_cluster <- data[, c("Murder","Assault","UrbanPop","Rape")]

# Scale the data
data_cluster_scaled <- scale(data_cluster)

# Determine the optimal number of clusters using the elbow method
wss <- (nrow(data_cluster_scaled)-1)*sum(apply(data_cluster_scaled,2,var))
for (i in 2:15) wss[i] <- sum(kmeans(data_cluster_scaled,centers=i)$withinss)
plot(1:15, wss, type="b", xlab="Number of clusters", ylab="Within groups sum of squares")

# Perform k-means clustering
k <- 3 # Set the number of clusters based on the elbow plot
km <- kmeans(data_cluster_scaled, centers=k)

# Plot the results
library(cluster)
clusplot(data_cluster_scaled, km$cluster, color=TRUE, shade=TRUE, labels=2, lines=0)
