# Load the dataset
data <- read.csv("https://www.dropbox.com/s/0asqq9ma23xvx28/USArrests.csv?dl=1")

# Remove the state column
data <- data[, -1]

# Scale the data
data_scaled <- scale(data)

# Generate the dendrogram
dend <- hclust(dist(data_scaled), method = "ward.D2")

# Plot the dendrogram
plot(dend)

# Generate the cluster graph
clusters <- cutree(dend, k = 3)
plot(data_scaled, col = clusters, pch = 20, main = "Hierarchical Clustering of USArrests.csv (k = 3)")

