# Load the data
data <- read.csv("https://www.dropbox.com/s/0asqq9ma23xvx28/USArrests.csv?dl=1", header = TRUE, row.names = 1)

# Perform hierarchical clustering using complete linkage
hc <- hclust(dist(data), method = "complete")

# Plot the dendrogram
plot(hc, main = "Dendrogram of US Arrests")

# Cut the dendrogram into k clusters
k <- 4
groups <- cutree(hc, k)

# Generate a cluster graph
library(cluster)
clusplot(data, groups, color=TRUE, shade=TRUE,
         labels=2, lines=0)

