# Load the USArrests.csv dataset
USArrests <- read.csv("USArrests.csv", row.names = 1)
# Scale the data
USArrests_scaled <- scale(USArrests)
# Perform hierarchical clustering
hc <- hclust(dist(USArrests_scaled))
# Plot the dendrogram
plot(hc, hang = -1, main = "Dendrogram of US Arrests data")
# Cut the dendrogram to obtain clusters
cut_tree <- cutree(hc, k = 3)
# Add cluster labels to the original data
USArrests_clustered <- data.frame(USArrests, cluster = cut_tree)
# Print the number of observations in each cluster
table(cut_tree)

