# Load the dataset
data <- read.csv("USArrests.csv
", header = TRUE)

# Remove any columns that are not relevant for clustering
data_cluster <- data[, c("column1", "column2", "column3")]

# Scale the data
data_cluster_scaled <- scale(data_cluster)

# Compute the distance matrix
dist_matrix <- dist(data_cluster_scaled)

# Perform hierarchical clustering
hc <- hclust(dist_matrix)

# Plot the dendrogram
plot(hc, hang = -1)

